class AR_Font
 {
  private:

   AR_Display   *display;
   ALLEGRO_FONT *font;

  public:

   AR_Font(string filename, AR_Display *display)
    {
	 setDisplay(display);
	 font = al_load_font(filename.c_str(),0,0);
	 if(!font) { AR_Util::errorBox(display->getDisplay(),string("Font file '") + string(filename) + string("' not found!")); exit(1); }
	}

   ~AR_Font() { }

   void setDisplay(AR_Display *display) { this->display = display; }

   int getLineHeight()           { return al_get_font_line_height(font);        }
   
   int getTextWidth(string text) { return al_get_text_width(font,text.c_str()); }

   ALLEGRO_FONT *getFont()  { return font; }
   
   AR_Display *getDisplay() { return display; }

 };
