class Weapon
 {
  private:

   int    cost,sell,firerate,bullet_frame,icon_frame,bullet_damage;
   float  power;
   string name;
   string description[2];

  public:

   Weapon(string name, int cost, int firerate, int bullet_frame, int bullet_damage, float power, int icon_frame)
    {
	 this->name          = name;
	 this->cost          = cost;
	 this->firerate      = firerate;
	 this->bullet_frame  = bullet_frame;
	 this->bullet_damage = bullet_damage;
	 this->icon_frame    = icon_frame;
	 this->power         = power;
	 reset();
	}

   ~Weapon() { }

  void reset()
   {
	sell           = cost / 5;
	description[0] = "";
    description[1] = "";
   }

  void setDescription(int n, string str) { description[n] = str; }

  string getDescription(int n) { return description[n]; }

  string getName()             { return name;           }

  float getPower()      { return power;         }

  int getBulletDamage() { return bullet_damage; }

  int getCost()         { return cost;          }
  
  int getSell()         { return sell;          }
  
  int getFirerate()     { return firerate;      }
  
  int getBulletFrame()  { return bullet_frame;  }
  
  int getIconFrame()    { return icon_frame;    }

 };
